EDIT - feature request #8346

Curators and admins can edit arbitrary Annotations (Notes)

07/02/2019 05:58 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.8

Severity: normal

Description

The FilterableAnnotationsField should offer the option to edit arbitrary notes (annotations) in all views where it is being used.

Associated revisions

Revision c02fc11a - 07/02/2019 06:17 PM - Andreas Kohlbecker

fix #8346 flexible editing of annotations for Curator and Admin roles

History

#1 - 07/02/2019 05:59 PM - Andreas Kohlbecker

- Description updated

#2 - 07/02/2019 06:17 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|c02fc11ae73482b118a48cfb4fca97e7302bdaf.

#3 - 07/02/2019 06:18 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
please review

(the solution is not a beauty but it is working!)

#4 - 07/04/2019 09:59 AM - Wolf-Henning Kusber

- File picture597-1.png added

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 70

Fields are implemented. Additional field can be added.

Question: should we take one entry as default (e.g. editional)? What happens if nothing is selected?

Annotation (publish) can not be selected.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/c02fc11ae73482b118a48cfb4fca97e7302bda1f

Editorial notes

Data interpreted from Ehrenb

editorial B

#5 - 07/04/2019 11:34 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- % Done changed from 70 to 100

Selecting no term type is ok. These annotations are handled as untyped.

The new termtype 'Public Note' needs to be added to the database. The new term type will become available automatically.
